Filter errors
Total occurrences Sort ascending Total affected Topmost group Category Message Filtered occurrences Filtered affected
6746 5510 projects 50 info.yml/composer.json Add core_version_requirement: ^8 || ^9 to designate that the module is compatible with Drupal 9. See https://drupal.org/node/3070687. 500 1 project
598 279 projects 200 Covered by rector Call to deprecated method l() of class [redacted]. Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Use Drupal​\​Core​\​Link::fromTextAndUrl() instead. 500 1 project
361 228 projects 50 Not covered by rector Class [redacted] extends deprecated class Drupal​\​simpletest​\​WebTestBase. Deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Instead, use Drupal​\​Tests​\​BrowserTestBase. See https://www.drupal.org/node/3030340. Replacement available from drupal:8.6.0. Replacement available from drupal:8.6.0. 500 1 project
289 180 projects 50 Not covered by rector Call to method setUp() of deprecated class Drupal​\​simpletest​\​WebTestBase. Deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. Instead, use Drupal​\​Tests​\​BrowserTestBase. See https://www.drupal.org/node/3030340. Replacement available from drupal:8.6.0. Replacement available from drupal:8.6.0. 500 1 project
27 16 projects 500 Not covered by rector Call to deprecated method url() of class Drupal​\​Core​\​Form​\​FormBase. Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Use Drupal​\​Core​\​Url::fromUri() instead. 500 1 project
12 7 projects 500 Not covered by rector Call to deprecated method getUrlGenerator() of class Drupal​\​Core​\​Form​\​FormBase. Deprecated in drupal:8.0.0 and is removed from drupal:9.0.0. Use the url_generator service instead. 500 1 project
3 3 projects 500 Non-Drupal core deprecation Usage of deprecated trait Drupal​\​taxonomy​\​Tests​\​TaxonomyTestTrait in class [redacted]:9.0.0. Use Drupal​\​Tests​\​taxonomy​\​Traits​\​TaxonomyTestTrait instead. 500 1 project
2 2 projects 500 Not covered by rector The 'fancytree' library is depending on a deprecated library. The "core/jquery.ui.effects.core" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969 500 1 project
2 2 projects 500 Not covered by rector The 'fancytree' library is depending on a deprecated library. The "core/jquery.ui.effects.blind" asset library is deprecated in drupal:8.8.0 and is removed from drupal:9.0.0. See https://www.drupal.org/node/3067969 500 1 project